<app-sidebar></app-sidebar>
<div class="container">
    <div class="table-responsive">
        <div class="table-wrapper">
            <div class="table-title">
                <div class="row">
                    <div class="col-xs-6">
                        <h2>Manage  <b>Users</b></h2>
                    </div>
                    <div class="col-xs-6">
                        <a href="#addUserModal" class="btn btn-success" data-toggle="modal"><i class="material-icons">&#xE147;</i> <span>Add New User</span></a>
                    </div>
                </div>
            </div>
            <table class="table table-striped table-hover">
                <thead>
                    <tr>
                        <th>Id</th>
                        <th>Ime</th>
                        <th>Prezime</th>
                        <th>Email</th>
                        <th>Rodjendan</th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor= "let users of tablelist ">
                        <td>{{ users._id }}</td>
                        <td>{{ users.ime }}</td>
                        <td>{{ users.prezime }}</td>
                        <td>{{ users.email }}</td>
                        <td>{{ users.rodjendan}}</td>
                        <td>
                            <a href="#editUserModal" (click)= "search(users._id)" class="edit" data-toggle="modal"><i class="material-icons" data-toggle="tooltip" title="Edit">&#xE254;</i></a>
                            <a href="#deleteUserModal" (click)= "search(users._id)" class="delete" data-toggle="modal"><i class="material-icons" data-toggle="tooltip" title="Delete">&#xE872;</i></a>
                        </td>
                    </tr>
                </tbody>
            </table>
            <div class="clearfix">
                <div class="hint-text">Showing                 <select (change)="onChange($event.target.value)">
                    <option *ngFor="let i of possible">{{i}}</option>
                </select> out of <b>{{brUsers}}</b> entries</div>
                <ul class="pagination" *ngFor= "let n of maxpages ">
                    <li [ngClass]="{'page-item': true, 'active': (n+1)==currentpage}"><a (click)="show(n+1)" class="page-link">{{n+1}}</a></li>
                </ul>
            </div>
        </div>
    </div>        
</div>
<!-- Edit Modal HTML -->
<div id="addUserModal" class="modal fade">
<div class="modal-dialog">
    <div class="modal-content">
        <form (ngSubmit)="addUser(user)" #user="ngForm" >
            <div class="modal-header">						
                <h4 class="modal-title">Add User</h4>
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
            </div>
            <div class="modal-body">					
                <div class="form-group">
                    <label>Ime</label>
                    <input type="text" class="form-control" required name="ime" ngModel>
                </div>
                <div class="form-group">
                    <label>Prezime</label>
                    <input type="text" class="form-control" required name="prezime" ngModel>
                </div>
                <div class="form-group">
                    <label>email</label>
                    <input type="text" class="form-control" required name="email" ngModel>
                </div>
                <div class="form-group">
                    <label>Rodjendan</label>
                    <input type="date" class="form-control" required name="rodjendan" ngModel>
                </div>
                <div class="form-group">
                    <label>Sifra</label>
                    <input type="text" class="form-control" name="sifra" ngModel>
                </div>			
            </div>
            <div class="modal-footer">
                <input type="button" class="btn btn-default" data-dismiss="modal" value="Close">
                <input type="submit" class="btn btn-info" value="Add">
            </div>
        </form>
    </div>
</div>
</div>
<!-- Edit Modal HTML -->
<div id="editUserModal" class="modal fade">
    <div class="modal-dialog">
        <div class="modal-content">
            <form (ngSubmit)="updateUser(xxs)" #xxs="ngForm">
                <div class="modal-header">						
                    <h4 class="modal-title">Edit User</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                </div>
                <div class="modal-body">					
                    <div class="form-group">
                        <label>Ime</label>
                        <input type="text" class="form-control" required name="editime" value="{{trenutniUser.ime}}" ngModel>
                    </div>
                    <div class="form-group">
                        <label>Prezime</label>
                        <input type="text" class="form-control" required name="editprezime" value="{{trenutniUser.prezime}}" ngModel>
                    </div>
                    <div class="form-group">
                        <label>Email</label>
                        <input type="text" class="form-control" required name="editemail" value="{{trenutniUser.email}}" ngModel>
                    </div>
                    <div class="form-group">
                        <label>Rodjendan</label>
                        <input type="date" class="form-control" required name="editrodjendan" value="{{trenutniUser.rodjendan}}" ngModel>
                    </div>
                    <div class="form-group">
                        <label>Sifra</label>
                        <input type="text" class="form-control" name="editsifra" ngModel>
                    </div>						
                </div>
                <div class="modal-footer">
                    <input type="button" class="btn btn-default" data-dismiss="modal" value="Close">
                    <input type="submit" class="btn btn-info" value="Save">
                </div>
            </form>
        </div>
    </div>
</div>
<!-- Delete Modal HTML -->
<div id="deleteUserModal" class="modal fade">
    <div class="modal-dialog">
        <div class="modal-content">
            <form>
                <div class="modal-header">						
                    <h4 class="modal-title">Delete user</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                </div>
                <div class="modal-body">					
                    <p>Are you sure you want to delete these Records?</p>
                    <p class="text-warning"><small>This action cannot be undone.</small></p>
                </div>
                <div class="modal-footer">
                    <input type="button" class="btn btn-default" data-dismiss="modal" value="Cancel">
                    <input type="submit" class="btn btn-danger" value="Delete" data-dismiss="modal" (click)= "deleteUser()">
                </div>
            </form>
        </div>
    </div>
</div>


<app-fail></app-fail>
<app-success></app-success>